
MINUS_SIGN = u'\u2212'

WD_STATE_MIN = 1
WD_STATE_MAX = 4
WD_STATES = range(WD_STATE_MIN, WD_STATE_MAX+1)
WD_STATE_CONVERGING_EPSILON = 0.05
WD_STATE_CONVERGING_COUNT = 5
WD_STATE_SHADING_SETTINGS = dict(alpha=0.3, linewidth=0.001)
WD_STATE_COLOR = {1: 'white',
                  2: 'yellow',
                  3: (1.0, 0.6, 0),
                  4: (1, 0, 0),
                  }
THRESHOLD_LINE_COLOR = 'red'

LOG_SECOND_LINE_INDENT = 8


NDSFIGURE_TITLE_FONTSIZE = 18
NDSFIGURE_TITLE_LINESPACING = 1.5
SUBPLOT_INCHES_INITIAL_WIDTH = 5.5
SUBPLOT_INCHES_PER_COL = 4
SUBPLOT_INCHES_INITIAL_HEIGHT = 1
SUBPLOT_INCHES_PER_ROW = 3.5

#__purple = (0.5, 0, 0.8)
#PLOT_COLORS = ["blue", "green", __purple, "yellow", "orange"]
PLOT_COLORS = [
    (0.2980392156862745, 0.4470588235294118, 0.6901960784313725),
    (0.3333333333333333, 0.6588235294117647, 0.40784313725490196),
    (0.7686274509803922, 0.3058823529411765, 0.3215686274509804),
    (0.5058823529411764, 0.4470588235294118, 0.6980392156862745),
    (0.8, 0.7254901960784313, 0.4549019607843137),
    (0.39215686274509803, 0.7098039215686275, 0.803921568627451),
    (0.2980392156862745, 0.4470588235294118, 0.6901960784313725),
    (0.3333333333333333, 0.6588235294117647, 0.40784313725490196),
    ]

ANNOTATION_BBOX_ARGS = dict(boxstyle="round", facecolor="white", alpha=0.9)

AXES_TITLE_BBOX_ARGS = dict(boxstyle="round", facecolor="white")
AXES_TITLE_POSITION = (0.5, 1.1)
FIGURE_TITLE_BBOX_ARGS = dict(boxstyle="round", facecolor="white")
FIGURE_TITLE_POSITION = (0.5, 0.96)

SUBPLOT_NUMBER_INDEX = 2
SUBPLOT_NROWS_INDEX = 0

WD_STATE_LEGEND_Y_POS = 0.7

FIG_SUBPLOTS_ADJUST =\
        { 3 : dict(top=0.87,               hspace=0.3, wspace=0.3, left=0.1, right=0.87),
          2 : dict(top=0.83,               hspace=0.3, wspace=0.3, left=0.1, right=0.87),
          1 : dict(top=0.77,  bottom=0.13, hspace=0.3, wspace=0.3, left=0.1, right=0.87),}

NDSAXES_LEGEND_FONTPROPERTIES_KWARGS = dict(size=13)
NDSAXES_TITLE_FONTDICT = dict(verticalalignment='top')

SUPLOT_ZORDER_START = 100

NDS_REQUEST_LIMIT = 6

# for string formatting in NDSBuffer.logger output
MAX_CHANNEL_NAME_WIDTH = 60
MAX_SAMPLE_RATE_DIGITS = 4    # (e.g. 4096)


NUM_X_TICKS_BEFORE_PRUNING = 6
NUM_Y_TICKS_BEFORE_PRUNING = 6
